how to upgrade guacamole server from 0.9.13 to 0.9.14?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

how to upgrade guacamole server from 0.9.13 to 0.9.14?

Oliver.Zhan

I used guacamole server version is 0.9.13, but the ssh connection always occured error:

guacd11608: INFO: SSH connection successful.
guacd: ath.c:193: _gcry_ath_mutex_lock: Assertion `*lock == ((ath_mutex_t) 0)' failed.
guacd
11604: INFO: Connection "$fe2119fe-2a3f-470e-9985-46f56e5b32c0" removed.

 

I wan to upgrade from 0.9.13 to 0.9.14, how to upgrade?  Please help me. Thks!

 

简单     实用     优雅

---------------------

技术开发组 张建平(zhangjianping

TEL0571-88075998-69364

-----------------------------------------------------------------------------------------------

本邮件及其附件含有海康威视公司的保密信息,仅限于发送给上面地址中列出的个人或群组。禁止任何其他人以任何形式使用(包括但不限于全部或部分地泄露、复制、或散发)本邮件中的信息。如果您错收了本邮件,请您立即电话或邮件通知发件人并删除本邮件!
This e-mail and its attachments contain confidential information from HIKVISION, which is intended only for  the person or entity whose address is listed above. Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other  than the intended recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by phone or email immediately and delete it!

 

 

CONFIDENTIALITY NOTICE:

This electronic message is intended to be viewed only by the individual or entity to whom it is addressed. It may contain information that is privileged, confidential and exempt from disclosure under applicable law. Any dissemination, distribution or copying of this communication is strictly prohibited without our prior permission. If the reader of this message is not the intended recipient, or the employee or agent responsible for delivering the message to the intended recipient, or if you have received this communication in error, please notify us immediately by return e-mail and delete the original message and any copies of it from your computer system. For further information about Hikvision company. please see our website at www.hikvision.com

Reply | Threaded
Open this post in threaded view
|

Re: how to upgrade guacamole server from 0.9.13 to 0.9.14?

vnick


On Tue, Jul 3, 2018 at 9:21 PM Oliver.Zhan <[hidden email]> wrote:

I used guacamole server version is 0.9.13, but the ssh connection always occured error:

guacd11608: INFO: SSH connection successful.
guacd: ath.c:193: _gcry_ath_mutex_lock: Assertion `*lock == ((ath_mutex_t) 0)' failed.
guacd
11604: INFO: Connection "$fe2119fe-2a3f-470e-9985-46f56e5b32c0" removed.

 

I wan to upgrade from 0.9.13 to 0.9.14, how to upgrade?  Please help me. Thks!

 


Depending on how you installed 0.9.13, it should be similar to the install process.  For guacd (guacamole-server) you'll need to build the new version of the server and install it, making sure that you either replace the old version completely or make sure that you start up the new version if you install to a new location.

For guacamole-client, you can either download the pre-built binaries (WAR for the main client deployment and JAR files for the authentication extensions) and deploy those over the existing ones.  If you're using the JDBC authentication modules you will also need to bring your database schema up-to-date with one of the schema upgrade files.

You can find all of these instructions in the following pages:

http://guacamole.apache.org/doc/gug/jdbc-auth.html (JDBC authentication, includes upgrade notes throughout the page)

-Nick